" Description: ARCTIC syntax file
" Language: ARCTIC (2024)
" Maintainer: Louis Burke

if exists("b:current_syntax") || version < 700
    finish
endif

let b:current_syntax = "arctic"

syntax match arcticComment "\v#.*$"
highlight link arcticComment Comment

syntax region arcticData start=/'/ end=/'/
highlight link arcticData Character

syntax region arcticSection start=/"/ end=/"/
highlight link arcticSection PreProc

syntax match arcticLabel "\v:[^ ]*"
highlight link arcticLabel Label

syntax match arcticCall "\v\@[^ ]*"
highlight link arcticCall Function

syntax match arcticConstant "\v\$[^ ]*"
highlight link arcticConstant Constant

syntax match arcticImmediate "\v[][0EFGHLMPQTdou$@<{=}>,`][^ ]*"
highlight link arcticImmediate Statement

syntax match arcticOperator "\v[-123456789ABCDIJKNORSUVWXYZabcefghijklmnpqrstvwxyz_.+*/%\|;&^!?()]"
highlight link arcticOperator Operator
